default: all

SQUASHFS_VERSION=4

# Include mkimage config file with default definitions
include /usr/share/mkimage/config.mk

# packagelist stuff
include ../functions.mk

IMAGE_INIT_LIST = +branding-altlinux-kdesktop-release
IMAGE_PACKAGES = branding-altlinux-kdesktop-release branding-altlinux-kdesktop-bootloader $(call list,rescue)

ifeq (std-def,el-smp)
	PACK_SQUASHFS_OPTS=-comp gzip
else
	PACK_SQUASHFS_OPTS=-comp xz -Xbcj x86
endif


MKI_PACK_RESULTS = squash:rescue

# Include mkimage targets definitions
include /usr/share/mkimage/targets.mk

all: build-image run-image-scripts run-scripts pack-image
	# FIXME: this kludge should be fixed along with main/'s one
	# by moving .base generation where it belongs, to software/
	@mkdir -p `dirname $(call list,.base)`
	@touch $(call list,.base)
